class CreateBlogComments < ActiveRecord::Migration
  def change
    create_table :blog_comments do |t|
      t.integer  "blog_id",                         :null => false
      t.integer  "parent_id"
      t.string   "title",       :default => "",    :null => false
      t.text     "content"
      t.integer  "author_id"
      t.integer  "comments_count", :default => 0,     :null => false
      t.integer  "last_comment_id"
      t.datetime "created_on",                       :null => false
      t.datetime "updated_on",                       :null => false
      t.boolean  "locked",        :default => false
      t.integer  "sticky",        :default => 0
      t.integer  "reply_id"
      t.timestamps
    end
  end
end
